%define		pkg	lru-cache
Summary:	A cache object that deletes the least recently used items
Name:		nodejs-%{pkg}
Version:	2.3.0
Release:	1
License:	MIT
Group:		Development/Libraries
URL:		https://github.com/isaacs/node-lru-cache
Source0:	http://registry.npmjs.org/lru-cache/-/lru-cache-%{version}.tgz
# Source0-md5:	c1fe9e35d5b815987966f02dfa5c46a1
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A cache object that deletes the least recently used items.

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}
cp -a package.json lib $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md LICENSE AUTHORS
%{nodejs_libdir}/%{pkg}
%changelog
* Thu Apr 04 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-lru-cache.git;a=log;h=master

* Thu Apr 04 2013 Elan Ruusamäe <glen@delfi.ee> 113f7c5
up to 2.3.0

* Sat Mar 09 2013 Aria <aredridel@nbtsc.org> f8248ea
v2.2.2

* Mon Dec 03 2012 Aria Stewart <aredridel@nbtsc.org> ae8a69d
Down to 2.0.4 since npm declares less than 2.1.0, oops.

* Mon Dec 03 2012 Aria Stewart <aredridel@nbtsc.org> d119df6
Down to 2.1.0 since npm declares < 2.2.0

* Mon Dec 03 2012 Aria Stewart <aredridel@nbtsc.org> 2777259
Add missing package.json file

* Mon Dec 03 2012 Aria Stewart <aredridel@nbtsc.org> ce3014f
Update to 2.2.1

* Thu Jun 14 2012 Elan Ruusamäe <glen@pld-linux.org> 79675f0
- cleanup

* Thu Jun 14 2012 Elan Ruusamäe <glen@pld-linux.org> 94ca2ac
- up to 1.1.0

* Wed Jan 25 2012 Elan Ruusamäe <glen@pld-linux.org> 8a7d9df
- initial node pkgs for npm deps
  based on specs from http://nodejs.tchol.org/ repo

